package com.eactive.eai.common.security.keyderiv;

public class DerivedKey {

	private final byte[] encKey;
	private final byte[] decKey;
	private final byte[] iv;
	

	public DerivedKey(byte[] encKey, byte[] decKey) {
		this.encKey = encKey;
		this.decKey = decKey != null ? decKey : encKey;
		this.iv = null;
	}

	public DerivedKey(byte[] encKey, byte[] decKey, byte[] iv) {
		this.encKey = encKey;
		this.decKey = decKey != null ? decKey : encKey;
		this.iv = iv;
	}

	public byte[] getEncKey() {
		return encKey;
	}

	public byte[] getDecKey() {
		return decKey;
	}
	
	public byte[] getIv() {
		return iv;
	}
}
